> ## Documentation Index
> Fetch the complete documentation index at: https://gns3util.saygex.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Return nodes in cluster

> Returns all nodes in the cluster with their status and basic info



## OpenAPI

````yaml /api-reference/gns3util-master-api-docs.json get /api/v1/auth/status
openapi: 3.0.0
info:
  description: API for gns3util cluster management
  title: gns3util cluster master API
  contact: {}
  version: '1.0'
servers: []
security: []
paths:
  /api/v1/auth/status:
    get:
      tags:
        - discovery
      summary: Return nodes in cluster
      description: Returns all nodes in the cluster with their status and basic info
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.GetNodesResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    models.GetNodesResponse:
      type: object
      properties:
        nodes:
          type: array
          items:
            $ref: '#/components/schemas/models.NodeInfo'
    helpers.APIErrorResponse:
      type: object
      properties:
        code:
          type: string
          example: unauthorized
        details:
          type: string
          example: invalid or missing join token
        error:
          type: string
          example: Unauthorized
    models.NodeInfo:
      type: object
      properties:
        api_port:
          type: integer
        id:
          type: string
        ip:
          type: string
        type:
          $ref: '#/components/schemas/models.NodeType'
    models.NodeType:
      type: integer
      enum:
        - 0
        - 1
        - 2
      x-enum-varnames:
        - NodeTypeMaster
        - NodeTypeWorker
        - NodeTypeFilestore
  securitySchemes:
    BearerAuth:
      description: Type "Bearer" followed by a space and JWT token.
      type: apiKey
      name: Authorization
      in: header

````